> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/v1/vendor-items > Retrieves vendor items according to the specified filters ## OpenAPI ````json GET /public/v1/vendor-items { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/v1/vendor-items": { "get": { "tags": [ "inventory" ], "description": "Retrieves vendor items according to the specified filters", "parameters": [ { "name": "modifiedOnStart", "in": "query", "description": "Starting datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnEnd'", "schema": { "type": "string($date-time)" } }, { "name": "modifiedOnEnd", "in": "query", "description": "Ending datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnStart'", "schema": { "type": "string($date-time)" } }, { "name": "pageSize", "in": "query", "description": "Maximum number of top level objects in the response, max value 250; if there are more objects matching the criteria, a link with a continuation token will be included in the response", "schema": { "type": "integer($int32)" } }, { "name": "continuationToken", "in": "query", "description": "", "schema": { "type": "string" } } ], "responses": { "200": { "description": "list of vendor item entities", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.VendorItems.Apis.PublicVendorItemsResponse" } }, "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.VendorItems.Apis.PublicVendorItemsResponse" } }, "text/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.VendorItems.Apis.PublicVendorItemsResponse" } } } }, "403": { "description": "Forbidden", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.ProblemDetails" } } } }, "422": { "description": "Unprocessable Content", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } } } } } } }, "components": { "schemas": { "R365.Inventory.Public.Contracts.VendorItems.Apis.PublicVendorItemsResponse": { "type": "object", "properties": { "items": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.VendorItems.Models.VendorItemPublicDto" }, "nullable": true, "description": "Collection of public vendor items records returned in this page." }, "nextLink": { "type": "string", "nullable": true, "description": "URL to retrieve the next page of results, or null when this is the last page." } }, "additionalProperties": false, "description": "A response containing vendor items." }, "R365.Inventory.Public.Models.ProblemDetails": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "title": { "type": "string", "nullable": true }, "status": { "type": "integer", "format": "int32", "nullable": true, "description": "Current status of the problem details." }, "detail": { "type": "string", "nullable": true }, "instance": { "type": "string", "nullable": true } } }, "R365.Inventory.Public.Models.R365Error": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "innerError": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } }, "R365.Inventory.Public.Contracts.VendorItems.Models.VendorItemPublicDto": { "type": "object", "properties": { "id": { "type": "string", "description": "The unique identifier of the vendor item.", "format": "uuid" }, "name": { "type": "string", "description": "The name of the vendor item.", "nullable": true }, "vendor": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Vendors.VendorReference" }, "number": { "type": "string", "description": "The user-defined number of the vendor item.", "nullable": true }, "brandItemNumber": { "type": "string", "description": "The brand item number of the vendor item.", "nullable": true }, "isPrimary": { "type": "boolean", "description": "Indicates if the vendor item is the primary item." }, "item": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference" }, "purchaseUnitOfMeasure": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" }, "splitUnitOfMeasure": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" }, "vendorPackSizeDescription": { "type": "string", "description": "The vendor's pack size description.", "nullable": true }, "price": { "type": "number", "description": "The price of the vendor item.", "format": "double", "nullable": true }, "splitPrice": { "type": "number", "description": "The split price of the vendor item.", "format": "double", "nullable": true }, "createdOn": { "type": "string", "description": "The date and time the vendor item was created.", "format": "date-time", "nullable": true }, "createdBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who created the vendor item." }, "modifiedOn": { "type": "string", "description": "The date and time the vendor item was last modified.", "format": "date-time", "nullable": true }, "modifiedBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who last modified the vendor item." } }, "additionalProperties": false, "description": "A vendor item." }, "R365.Inventory.Shared.Contracts.Vendors.VendorReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the vendor." }, "name": { "type": "string", "nullable": true, "description": "Display name of the vendor." }, "number": { "type": "string", "nullable": true, "description": "Number assigned to the vendor." } }, "additionalProperties": false, "description": "A reference to a vendor." }, "R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the public item." }, "name": { "type": "string", "nullable": true, "description": "Display name of the public item." }, "number": { "type": "string", "nullable": true, "description": "Number assigned to the public item." }, "itemType": { "type": "string", "nullable": true } }, "additionalProperties": false, "description": "A reference to an item." }, "R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the unit of measure." }, "name": { "type": "string", "nullable": true, "description": "Display name of the unit of measure." } }, "additionalProperties": false, "description": "A reference to a unit of measure." }, "R365.Inventory.Shared.Contracts.Users.UserReference": { "type": "object", "properties": { "id": { "type": "string", "description": "The unique identifier of the user.", "format": "uuid" }, "name": { "type": "string", "description": "The name of the user.", "nullable": true } }, "additionalProperties": false, "description": "A reference to a user." } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````